Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14442/?format=api
{ "ob_id": 14442, "uuid": "246cb3626e9f4ce1b554aa4b865f3b1c", "title": "UTLS-Ozone ITOP: UTRAJ forward and backward flight track trajectories calculated by John Methven at the University of Reading", "abstract": "Study of intercontinental transport of air pollutants by means of coordinated flights over the East coast of North America, the Azores and the West coast of Europe. ITOP was a component of the International Consortium for Atmospheric Research on Transport and Transformation (ICARTT), an international initiative which coordinated the efforts of various American and European groups who developed plans for field campaigns in the summer of 2004, with the aim of improving our understanding of the factors determining air quality over the two continents and over remote regions of the North Atlantic. \r\n\r\nThis dataset includes trajectories and other forecast products calculated by John Methven (University of Reading), based on European Centre for Medium-Range Weather Forecasts (ECMWF) forecast wind fields, to support ICARTT flight planning, near-real-time chemical analyses produced by the University of Cambridge, and data collected aboard the FAAM Bae-146 aircraft in July and August 2004.", "keywords": "UTLS, ITOP, Model, Chemistry", "publicationState": "published", "dataPublishedTime": "2016-04-25T15:55:36", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14443/?format=api", "dataPath": "/badc/itop/data/forecasts_and_analyses/utraj", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 33468779907, "numberOfFiles": 9482, "fileFormat": "Data are ASCII formatted. Images are PNG formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1723/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/129/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Trajectories and other forecast products calculated by John Methven (University of Reading), based on European Centre for Medium-Range Weather Forecasts (ECMWF forecast wind fields. Data provided to the BADC as is in 2004.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/12053/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5813/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56032/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56033/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56034/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56029/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56030/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56035/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56036/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/56031/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/13709/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2578/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ecmwftrj", "label": "restricted: ecmwftrj group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ukmo_agreement.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }